function M = iirbasis(B,A,N)
% M = iirbasis(B,A,N)  Figure out a normalization matrix for a set of 
%	IIR filters. (like tptzbasis but for arbitary filterbank)
%	Rows of B, A define filters.  Impulse responses are generated to 
%	N points.  Inner products are calculated and stored in an array.
%	M(i,j) is the *square root* of the amount of energy that a 
%	unit impulse response of filter i would get through filter j.
% dpwe@media.mit.edu 1996feb02

if(nargin<3)	N=1024; end;

nr = size(B,1);

irs = zeros(nr, N);
imp = [1, zeros(1, N-1)];

for r = 1:nr
  irs(r,:) = fft(filter(B(r,:), A(r,:), imp));
end

M = zeros(nr,nr);

% M = sqrt(irs*irs');

for i=1:nr
  for j=1:nr
%    M(i,j) = sqrt(sum(conv(irs(i,:),irs(j,:)).^2));
    M(i,j) = sqrt(sum(abs(irs(i,:).*conj(irs(j,:))).^2)/N);
  end
end
