function d = linterp(x, f)
% D = linterp(X, F)                           Linear interpolation of a vector.
% 	linearly interpolate *rows* of X by a factor of F i.e. 
%	insert (F-1) new columns between each pair of columns in X which 
%	are simply linearly  interpolated.  
%	Size of output is 1+(F*(size(X)-1)) columns.
% dpwe 1994may05

%s = size(x,2);
%if(s == 1)
%  x = x';
%  s = size(x,2);
%end
%d = zeros(size(x,1), 1+(s-1)*f);
%for i = 1:s-1
%  base = x(:,i);
%  diff = x(:,i+1)-base;
%  for j = 1:f
%    d(:,(i-1)*f+j) = base + ((j-1)/f).*diff;
%  end
%end
%d(:,1+(s-1)*f) = x(:,s);

% convolve with a triangle then chop
% only works for vector x

if(size(x,1) ~= 1)
  error('this version of linterp requires X as a row - see dpwebox/linterp');
end

tri = (1/f)*[[1:f],[(f-1):-1:1]];
% upsample x
xx  = [x; zeros( (f-1), size(x,2))];
xxx = xx(1:(vsize(xx)-(f-1)));
cc  = conv(xxx, tri);
lcc = vsize(cc);
d   = cc(1+[(f-1):(lcc-(f))]);

