function I = nzlist(X)
% I = nzlist(X)                Return the indexes of the nonzero elements of X.
%	X is a vector with some zero and nonzero elements.  I is a vector 
%	of the same or shorter length containing the indices of the elements 
%	of X that are not zero.  Thus X(I) is X without the zero elements.
% dpwe 1994jul08

len = vsize(X);

startpos = -1;	% flag that no nonzero values yet detected
I = zeros(0,0); % empty return

for e = 1:len
  if X(e) ~= 0
    I = [I,e];
  end
end
