function S = nzsequences(R)
% S = nzsequences(R)           Break the row R into blocks of zero and nonzero.
%	R is a vector; S is a descriptor where each row has two elements; 
%	the first and last indices of each sequence of nonzero values in R.
% dpwe 1994jul06

len = vsize(R);

startpos = -1;	% flag that no nonzero values yet detected
S = zeros(0,2); % empty return

for e = 1:len
  if R(e) == 0
    if startpos >= 0
      S = [S;[startpos,e-1]];
      startpos = -1;
    end
  else 
    if startpos < 0
      startpos = e;
    end
  end
end
if startpos >= 0
  S = [S;[startpos,len]];
  startpos = -1;
end
