function R = overlap(A,B)
% R = ioverlap(A,B)                          Test for overlap of two intervals.
% 	A and B are two-element vectors indicating regions of the real 
%	number line.  R is the length of their overlap, or zero if they 
%	do not overlap.
% dpwe 1994jul06.

% ensure canonical ordering of A and B
if(A(1) > A(2))
  t = A(1); A(1) = A(2); A(2) = t;
end
if(B(1) > B(2))
  t = B(1); B(1) = B(2); B(2) = t;
end

if (B(2) < A(1)) | (A(2) < B(1))    % no overlap condition
  R = 0;
else
  R = min([A(2),B(2)])-max([A(1),B(1)]);
end
