function y = pad(x, n)
% Y = pad(X,N)   Pad rows of X by zeros at either end (retaining overall size).
%	Shifts each row of X by N points, and sets the shifted-in points to 
%	zero.  Positive N shifts zeros in at the end; negative N inserts 
%	zeros at the beginning.
%	See also 'rot.m'.
% dpwe 1994jun27.  

sx = size(x);
s = sx(2);	% we're rotating the cols
rows = sx(1);
if(vsize(n) == 1)
  nn = rem(n+s,s);
  if(n>=0)
    y = [x(:,(nn+1):s), zeros(rows,nn)];
  else
    y = [zeros(rows, s-nn), x(:,1:nn)];
  end
elseif (vsize(n) == rows)
  y = zeros(rows, s);
  for r=1:rows
    thisn = n(r);
    nn = rem(thisn+s,s);
    if(thisn>=0)
      y(r,:) = [x(r,(nn+1):s), zeros(1,nn)];
    else
      y(r,:) = [zeros(1, s-nn), x(r,1:nn)];
    end
  end
else
  error('second argument must be scalar, or one value for each row')
end
