function d = smoo(x)
% D = smoo(X)                                    Hard-coded smoothing function.
%	Smooth the data X by 
%              - squaring each point
%              - convolving it with a 100-point step function scaled by 1/100
%                (to form the moving average)
%              - subsampling by a factor of 100
%              - smoothing the result with a 15 point hamming window
%              - square root of each point
%              (to get energy contours of sound data)
% dpwe 1994apr14
s = size(x);
s = s(1)*s(2);
n = 100;   % length of step window, decimation factor
u = ones(1,n)/n;
d = x.*x;  % square the data
d = conv(d, u);
d = d((n/2):(n/2 + s -1));   % knock off fringes (end-ring) from convo
d = d(1:n:s);		     % decimate
h = .5-.5*cos(2*pi*[0:14]/14);   % 15 pt hanning window
d = conv(d, h);
d = d(7:(7+s/n-1));
d = d.^(0.5);
