function [r,theta]=twoptwozparams(SR,CF,Q,N)
% [R,THETA] = twoptwozparams(SR,CF,Q,N) Calculate second-order section coeffs.
%	Calculate the R and THETA for pole pairs of specified SR, CF, Q.
%	N is how many times the filter is repeated - design Q is Q/N
% dpwe 1995jan24

if(nargin < 4)
  N = 1;
end

Qeff = Q/N;
cfrad = 2*pi*CF/SR;
%r     = 1 - cfrad/(2*Q);
% from Malcolm's SecondOrderFilter
theta = cfrad * sqrt(1 - 1/(2*Qeff)^2);
r     = exp( -cfrad/(2*Qeff) );
